查询平台订单列表
POST
/cepfPlatformOrder/open-api/newPlatformOrder/list接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/cepfPlatformOrder/open-api/newPlatformOrder/list | HTTPS | POST | 1 |
请求参数
dateTypeinteger必填deliveryTypeListarray<any>pageNumintegerpageSizeintegerplatformCodeListarray<any>searchMultiValuearray<any>searchSingleValuestringsearchTypeintegersiteCodeListarray<any>sortFieldstringsortTypestringstartDatestring必填endDatestring必填statusListarray<any>storeIdListarray<any>请求示例
{
"dateType": 1,
"deliveryTypeList": [0, 1],
"pageNum": 1,
"pageSize": 50,
"platformCodeList": ["10011", "10024"],
"searchMultiValue": ["SKU123", "SKU456"],
"searchSingleValue": "商品关键词",
"searchType": 1,
"siteCodeList": ["10008-US"],
"sortField": "purchaseTime",
"sortType": "desc",
"startDate": "2025-01-01 01:01:01",
"endDate": "2025-01-31 01:01:01",
"statusList": ["10002#202"],
"storeIdList": ["110000000018008001"]
}
返回结果
Json Object
| 参数名 | 说明 | 必填 | 类型 | 示例 |
|---|---|---|---|---|
| code | 状态码,0 成功 | 是 | [int] | 0 |
| message | 消息提示 | 是 | [string] | success |
| error_details | 错误信息 | 是 | [array] | |
| request_id | 请求链路id | 是 | [string] | 1979122130ba45e984cbc9b2e571d86f.1690513512438 |
| response_time | 响应时间 | 是 | [string] | 2023-07-28 11:05:12 |
| data | 响应数据 | 是 | [object] | |
| data>>current | 当前分页 | 否 | [long] | |
| data>>list | 订单列表 | 否 | [array] | |
| data>>list>>itemList | 订单子行 | 否 | [array] | |
| data>>list>>itemList>>bid | 品牌ID | 否 | [long] | |
| data>>list>>itemList>>cid | 分类ID | 否 | [long] | |
| data>>list>>itemList>>currency | 币种 | 否 | [string] | USD |
| data>>list>>itemList>>customerShipping | 客选物流 | 否 | [string] | |
| data>>list>>itemList>>customizedText | 定制文本 | 否 | [string] | |
| data>>list>>itemList>>deliveryTimes | 发货次数 | 否 | [int] | |
| data>>list>>itemList>>deliveryType | 发货类型(0-自发货 1-平台发货) | 否 | [int] | |
| data>>list>>itemList>>imgUrl | 平台图片 | 否 | [string] | |
| data>>list>>itemList>>localSku | 本地SKU | 否 | [string] | |
| data>>list>>itemList>>model | 产品型号 | 否 | [string] | |
| data>>list>>itemList>>msku | 平台msku | 否 | [string] | |
| data>>list>>itemList>>mskuId | 平台mskuId | 否 | [string] | |
| data>>list>>itemList>>mskuRelationKey | 配对相关:平台SKU关系键 | 否 | [string] | |
| data>>list>>itemList>>orderItemNo | 平台商品行ID | 否 | [string] | |
| data>>list>>itemList>>pid | 本地产品ID(SKU级别ID) | 否 | [long] | |
| data>>list>>itemList>>pname | 品名 | 否 | [string] | |
| data>>list>>itemList>>productDeveloperUid | 开发人UID | 否 | [long] | |
| data>>list>>itemList>>productNo | 平台商品ID | 否 | [string] | |
| data>>list>>itemList>>productStatusName | 平台商品状态名称 | 否 | [string] | |
| data>>list>>itemList>>originalShipmentStatus | 平台商品原始发货状态 | 否 | [string] | |
| data>>list>>itemList>>productUrl | 商品链接 | 否 | [string] | |
| data>>list>>itemList>>psId | 本地SPU ID | 否 | [long] | |
| data>>list>>itemList>>quantity | 数量 | 否 | [long] | 1 |
| data>>list>>itemList>>remark | 商品备注 | 否 | [string] | |
| data>>list>>itemList>>spu | 本地SPU | 否 | [string] | |
| data>>list>>itemList>>spuId | 平台SPU ID | 否 | [string] | |
| data>>list>>itemList>>spuName | 款名 | 否 | [string] | |
| data>>list>>itemList>>title | 标题 | 否 | [string] | 无标题 |
| data>>list>>itemList>>transaction | 交易信息汇总(item 级) | 否 | [object] | |
| data>>list>>itemList>>unitPriceAmount | 单价 | 否 | [number] | |
| data>>list>>itemList>>variantAttr | 变体属性 | 否 | [string] | |
| data>>list>>order | 订单基本信息 | 否 | [object] | |
| data>>list>>order>>buyerEmail | 买家邮箱 | 否 | [string] | |
| data>>list>>order>>buyerMessage | 买家留言 | 否 | [string] | |
| data>>list>>order>>buyerName | 买家姓名/ID | 否 | [string] | |
| data>>list>>order>>deliveryStatusName | 平台单发货状态状态 | 否 | [string] | |
| data>>list>>order>>deliveryTime | 发货时间 | 否 | [string] | |
| data>>list>>order>>deliveryTimeBj | 发货时间北京 | 否 | [string] | |
| data>>list>>order>>deliveryType | 发货类型(0-自发货 1-平台发货 2-部分自发货) | 否 | [int] | |
| data>>list>>order>>expectedDeliveryTime | 指定配送时间 | 否 | [string] | |
| data>>list>>order>>latestDeliveryTime | 发货时限 | 否 | [string] | |
| data>>list>>order>>latestShipTime | 最晚配送时间 | 否 | [string] | |
| data>>list>>order>>orderStatusName | 平台单订单状态 | 否 | [string] | |
| data>>list>>order>>stdOrderStatusCode | 标准订单状态编码 | 否 | [string] | |
| data>>list>>order>>stdOrderStatusName | 标准订单状态名称 | 否 | [string] | |
| data>>list>>order>>paymentStatusName | 平台单付款状态 | 否 | [string] | |
| data>>list>>order>>paymentTime | 支付时间 | 否 | [string] | |
| data>>list>>order>>paymentTimeBj | 支付时间(北京时间) | 否 | [string] | |
| data>>list>>order>>platformCode | 平台CODE | 否 | [string] | |
| data>>list>>order>>platformName | 平台名称 | 否 | [string] | |
| data>>list>>order>>platformOrderModifiedTime | 平台订单更新时间(平台订单有变动才变动) | 否 | [datetime] | |
| data>>list>>order>>platformOrderName | 平台订单号(展示字段) | 否 | [string] | |
| data>>list>>order>>platformOrderNo | 平台订单号(唯一键) | 否 | [string] | |
| data>>list>>order>>purchaseTime | 订购时间 | 否 | [string] | |
| data>>list>>order>>purchaseTimeBj | 订购时间(北京时间) | 否 | [string] | |
| data>>list>>order>>referenceNo | 参考号 | 否 | [string] | |
| data>>list>>order>>remark | 备注(商家自定义备注) | 否 | [string] | |
| data>>list>>order>>siteCode | 平台+站点的唯一标识 | 否 | [string] | |
| data>>list>>order>>sourceName | shopify订单的销售渠道 | 否 | [string] | |
| data>>list>>order>>storeArea | 店铺地区 | 否 | [string] | |
| data>>list>>order>>storeId | 店铺唯一标识 | 否 | [string] | |
| data>>list>>order>>storeName | 店铺名称 | 否 | [string] | |
| data>>list>>order>>uniqueOrderNo | 唯一订单(store_id#订单id) | 否 | [string] | |
| data>>list>>packages | 包裹信息 | 否 | [array] | |
| data>>list>>packages>>deliveryTimeBj | 发货时间(北京时间) | 否 | [string] | |
| data>>list>>packages>>itemList | 商品信息 | 否 | [array] | |
| data>>list>>packages>>itemList>>imgUrl | 平台图片 | 否 | [string] | |
| data>>list>>packages>>itemList>>msku | 平台msku | 否 | [string] | |
| data>>list>>packages>>itemList>>mskuId | 平台mskuId | 否 | [string] | |
| data>>list>>packages>>itemList>>orderItemNo | 平台商品行ID | 否 | [string] | |
| data>>list>>packages>>itemList>>productNo | 平台商品ID | 否 | [string] | |
| data>>list>>packages>>itemList>>quantity | 数量 | 否 | [int] | 1 |
| data>>list>>packages>>itemList>>title | 标题 | 否 | [string] | 无标题 |
| data>>list>>packages>>itemList>>variantAttr | 变体属性 | 否 | [string] | |
| data>>list>>packages>>packageId | 包裹id | 否 | [string] | |
| data>>list>>packages>>fulfillmentLocationId | 履约地点ID(eg.shopify的location_id) | 否 | [string] | |
| data>>list>>packages>>shippingProviderName | 发货物流 | 否 | [string] | |
| data>>list>>packages>>trackingNumber | 追踪单号/物流单号 | 否 | [string] | |
| data>>list>>tagInfos | 标签信息说明 | 否 | [array] | |
| data>>list>>tagInfos>>id | 标签ID | 否 | [long] | |
| data>>list>>tagInfos>>tagColor | 标签颜色 | 否 | [string] | |
| data>>list>>tagInfos>>tagName | 标签名称 | 否 | [string] | |
| data>>list>>tagInfos>>tagType | 标签类型 | 否 | [string] | |
| data>>list>>tagInfos>>tagTypeId | 标签唯一键 | 否 | [string] | |
| data>>list>>erpInfo | ERP信息 | 否 | [object] | |
| data>>list>>transaction | 交易信息汇总(order 级,字段结构同 itemList>>transaction) | 否 | [object] | |
| data>>pages | 当前页码 | 否 | [long] | |
| data>>size | 当前页数量 | 否 | [long] | |
| data>>total | 总数 | 否 | [long] |
交易信息(transaction)字段说明
itemList>>transaction 与 list>>transaction 结构相同,包含以下字段:
其中所有金额对象均包含子字段:value(金额,number)、currency(币种,string)、icon(币种符号,string)、source(金额来源,int)、permit(是否允许,boolean)
| 参数名 | 说明 | 类型 |
|---|---|---|
| productTotalAmount | 商品总额 | [object] |
| productTotalAmountTaxIncluded | 商品总额是否含税 | [boolean] |
| productTax | 商品税 | [object] |
| productDiscount | 商品折扣 | [object] |
| shippingFeeDiscount | 运费折扣 | [object] |
| shippingFee | 客付运费 | [object] |
| shippingFeeTaxIncluded | 客付运费是否含税 | [boolean] |
| shippingTax | 运费税 | [object] |
| platformOtherFee | 平台其他费 | [object] |
| giftWrappingFee | 礼品包装费 | [object] |
| realPayAmount | 实付金额 | [object] |
| platformSubsidy | 平台补贴 | [object] |
| salesRevenue | 销售收益 | [object] |
| transactionFee | 交易手续费 | [object] |
| tax | 税费 | [object] |
| outboundCost | 出库成本 | [object] |
| cgCost | 采购成本 | [object] |
| headCost | 头程费用 | [object] |
| otherCost | 其他成本 | [object] |
| logisticsFreight | 物流运费 | [object] |
| platformLogisticsFree | 平台物流费 | [object] |
| grossProfit | 毛利润 | [object] |
| grossMargin | 毛利率 返回0.01,前端展示1% | [number] |
| temuOtherIncome | TEMU其他收入 | [object] |
| temuPlatformOtherFee | TEMU平台其他费用 | [object] |
| temuOtherFee | TEMU其他费用 | [object] |
| temuPlatformPenalty | TEMU平台罚金 | [object] |
| temuSaleRefund | TEMU销售退款 | [object] |
| temuShippingRefund | TEMU运费退款 | [object] |
返回请求示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "eb019203373144b38eb71d9ac0fd1e3f.1785132846187",
"response_time": "2026-07-27 14:14:06",
"data": {
"current": 1,
"size": 10,
"total": 1,
"pages": 1,
"list": [
{
"order": {
"storeId": "110457795968512512",
"storeName": "美国平台物流",
"storeArea": null,
"platformOrderNo": "577490040090103874",
"platformOrderName": "577490040090103874",
"referenceNo": null,
"uniqueOrderNo": "110457795968512512#577490040090103874",
"buyerName": "7495466476603869250",
"buyerEmail": "v4bD2U6EMQ5DYKNEGXPGHKUPLAL2E@scs.tiktokw.us",
"buyerMessage": "",
"sourceName": null,
"platformCode": "10011",
"platformName": "TikTok",
"deliveryType": 0,
"orderStatusName": "Awaiting Shipment",
"stdOrderStatusCode": "UN_SHIPPING",
"stdOrderStatusName": "待发货",
"deliveryStatusName": null,
"paymentStatusName": "AWAITING_SHIPMENT",
"siteCode": "10011-US",
"purchaseTime": "2026-07-23 00:20:08 -7:00",
"purchaseTimeBj": "2026-07-23 15:20:08 +8:00",
"paymentTime": "2026-07-23 00:20:08 -7:00",
"paymentTimeBj": "2026-07-23 15:20:08 +8:00",
"deliveryTime": "",
"deliveryTimeBj": null,
"latestDeliveryTime": "2026-07-27 23:59:59 -7:00",
"latestShipTime": "2026-07-31 23:59:59 -7:00",
"expectedDeliveryTime": null,
"platformOrderModifiedTime": "2026-07-23T07:42:24.000+00:00",
"remark": null
},
"itemList": [
{
"orderItemNo": "577490040090234946",
"productNo": "1732165604133802518",
"deliveryType": 0,
"msku": "",
"mskuId": "1732165604133802518",
"title": "1222",
"variantAttr": "Default",
"quantity": 1,
"unitPriceAmount": "10.00",
"productStatusName": "AWAITING_SHIPMENT",
"originalShipmentStatus": null,
"currency": "USD",
"imgUrl": "https://p16-oec-general-useast5.ttcdn-us.com/tos-useast5-i-omjb5zjo8w-tx/b21bfa126eed438eb985a0779f5044f2~tplv-fhlh96nyum-origin-jpeg.jpeg?dr=12178&t=555f072d&ps=933b5bde&shp=5d781b08&shcp=54477afb&idc=useast5&from=1568152328",
"customizedText": null,
"remark": null,
"productUrl": "https://p16-oec-general-useast5.ttcdn-us.com/tos-useast5-i-omjb5zjo8w-tx/b21bfa126eed438eb985a0779f5044f2~tplv-fhlh96nyum-origin-jpeg.jpeg?dr=12178&from=520841845&idc=useast5&ps=933b5bde&shcp=2c1af732&shp=1f0b6a75&t=555f072d",
"mskuRelationKey": "1732165604133802518",
"pid": 49500,
"localSku": "1732165604133802518",
"pname": "1732165604133802518",
"model": "",
"psId": 0,
"spu": "",
"spuName": "",
"bid": 0,
"cid": 0,
"productDeveloperUid": 0,
"customerShipping": "TIKTOK-Standard shipping",
"spuId": "1732165582628885014",
"deliveryTimes": null,
"transaction": {
"productTotalAmount": {
"value": "10.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"productTotalAmountTaxIncluded": false,
"productTax": {
"value": "1.08",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"productDiscount": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"shippingFeeDiscount": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"shippingFee": {
"value": "6.38",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"shippingFeeTaxIncluded": false,
"shippingTax": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"platformOtherFee": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"giftWrappingFee": {
"value": null,
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"realPayAmount": {
"value": "17.46",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"platformSubsidy": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"salesRevenue": {
"value": "17.46",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"transactionFee": {
"value": null,
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"tax": {
"value": "-1.08",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"outboundCost": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 1,
"permit": true
},
"cgCost": {
"value": "0.00",
"currency": "CNY",
"icon": "¥",
"source": 1,
"permit": true
},
"headCost": {
"value": "0.00",
"currency": null,
"icon": null,
"source": 1,
"permit": true
},
"otherCost": {
"value": "0.00",
"currency": "CNY",
"icon": "¥",
"source": 1,
"permit": true
},
"logisticsFreight": {
"value": "0.00",
"currency": null,
"icon": null,
"source": 1,
"permit": true
},
"platformLogisticsFree": {
"value": null,
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"grossProfit": {
"value": null,
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"grossMargin": null,
"temuOtherIncome": null,
"temuPlatformOtherFee": null,
"temuOtherFee": null,
"temuPlatformPenalty": {
"value": null,
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"temuSaleRefund": {
"value": null,
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"temuShippingRefund": null
}
}
],
"transaction": {
"productTotalAmount": {
"value": "10.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"productTotalAmountTaxIncluded": false,
"productTax": {
"value": "1.08",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"productDiscount": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"shippingFeeDiscount": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"shippingFee": {
"value": "6.38",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"shippingFeeTaxIncluded": false,
"shippingTax": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"platformOtherFee": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"giftWrappingFee": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"realPayAmount": {
"value": "17.46",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"platformSubsidy": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"salesRevenue": {
"value": "17.46",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"transactionFee": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"tax": {
"value": "-1.08",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"outboundCost": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 1,
"permit": true
},
"cgCost": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 1,
"permit": true
},
"headCost": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 1,
"permit": true
},
"otherCost": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 1,
"permit": true
},
"logisticsFreight": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 1,
"permit": true
},
"platformLogisticsFree": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"grossProfit": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"grossMargin": null,
"temuOtherIncome": null,
"temuPlatformOtherFee": null,
"temuOtherFee": null,
"temuPlatformPenalty": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"temuSaleRefund": {
"value": "0.00",
"currency": "USD",
"icon": "$",
"source": 2,
"permit": true
},
"temuShippingRefund": null
},
"tagInfos": [],
"erpInfo": null,
"packages": null
}
]
}
}